/***************************************************************************//**
 * @file        cs32f10x_it.c
 * @version     V2.0.1
 * @author      Software Development
 * @brief       This file provides all the interrupt handle functions.
 *              
 * @copyright   Copyright (C) Software Development. All rights reserved.
 ****************************************************************************/
 
#include "cs32f10x_it.h"
#include "cs32f10x_tim.h"
#include <stdio.h>
#include "cs32f10x_gpio.h"

extern __IO uint8_t second_flag;

/******************************************************************************/
/*            Cortex-M3 Processor Exceptions Handlers                         */
/******************************************************************************/

/**@brief       This function handles NMI exception.
 *
 * @param[in]   None.
 *
 * @return      None.
 */
void NMI_Handler(void)
{
    /* User code */
}

/**@brief       This function handles Hard Fault exception.
 *
 * @param[in]   None.
 *
 * @return      None.
 */
void HardFault_Handler(void)
{
  while (1)
  {
      /* User code */
  }
}

/**@brief       This function handles Memory Manage exception.
 *
 * @param[in]   None.
 *
 * @return      None.
 */
void MemManage_Handler(void)
{
  while (1)
  {
      /* User code */
  }
}

/**@brief       This function handles Bus Fault exception.
 *
 * @param[in]   None.
 *
 * @return      None.
 */
void BusFault_Handler(void)
{
  while (1)
  {
      /* User code */
  }
}

/**@brief       This function handles Usage Fault exception.
 *
 * @param[in]   None.
 *
 * @return      None.
 */
void UsageFault_Handler(void)
{
  while (1)
  {
      /* User code */
  }
}

/**@brief       This function handles SVCall exception.
 *
 * @param[in]   None.
 *
 * @return      None.
 */
void SVC_Handler(void)
{
    /* User code */
}

/**@brief       This function handles Debug Monitor exception.
 *
 * @param[in]   None.
 *
 * @return      None.
 */
void DebugMon_Handler(void)
{
    /* User code */
}

/**@brief       This function handles PendSVC exception.
 *
 * @param[in]   None.
 *
 * @return      None.
 */
void PendSV_Handler(void)
{
    /* User code */
}

/**@brief       This function handles SysTick exception.
 *
 * @param[in]   None.
 *
 * @return      None.
 */
void SysTick_Handler(void)
{
    /* User code */
}

/******************************************************************************/
/*                 CS32F10x Peripherals Interrupt Handlers                   */
/******************************************************************************/

/**@brief       This function handles TIM1 interrupt request.
 *
 * @param[in]   None.
 *
 * @return      None.
 */
void TIM1_UP_IRQHandler(void)
{
    printf("TIM1 delay 1s\r\n");
    __TIM_FLAG_CLEAR(TIM1, TIM_FLAG_UPDATE);
}


/**@brief       This function handles TIM2 interrupt request.
 *
 * @param[in]   None.
 *
 * @return      None.
 */
void TIM2_IRQHandler(void)
{
    printf("TIM2 delay 2s\r\n");
    __TIM_FLAG_CLEAR(TIM2, TIM_FLAG_UPDATE);
}

/**
  * @}
  */ 


/******************* (C) COPYRIGHT 2021 ChipSea *****END OF FILE****/
