

#ifndef __CSBOOT_H__
#define __CSBOOT_H__


#ifdef __cplusplus
 extern "C" {
#endif


#include "cs32f10x.h"


typedef struct
{
  void (*csboot_comm_init)(void);
  void (*csboot_comm_deinit)(void);
  uint8_t (*csboot_data_receive)(void);
  void (*csboot_data_send)(void);
} csboot_ops;


extern csboot_ops csboot_handle;


/**@brief       Initial csboot operation handle
 * 
 * @param[in]   None.
 * 
 * @return      None.
 */
void csboot_init(void);




#ifdef __cplusplus
}
#endif


#endif
