
#include "csboot.h"
#include "config.h"
#include "hal_comm_usart.h"
#include "hal_comm_can.h"

csboot_ops csboot_handle;



/**@brief       Initial csboot operation handle
 * 
 * @param[in]   None.
 * 
 * @return      None.
 */
void csboot_init(void)
{
/* USART used as bootloader interface */
#if CSBOOT_COMMUNICATION_INTERFACE_USART
    
    csboot_handle.csboot_comm_init      = hal_comm_usart_init;
    csboot_handle.csboot_comm_deinit    = hal_comm_usart_deinit;
    csboot_handle.csboot_data_receive   = usart_data_receive;
    csboot_handle.csboot_data_send      = usart_data_send;
    
#endif

/* CAN used as bootloader interface */
#if CSBOOT_COMMUNICATION_INTERFACE_CAN
    
    csboot_handle.csboot_comm_init      = hal_comm_can_init;
    csboot_handle.csboot_comm_deinit    = hal_comm_can_deinit;
    csboot_handle.csboot_data_receive   = can_data_receive;
    csboot_handle.csboot_data_send      = can_data_send;

#endif
}


