

#ifndef __CAN_INTERFACE_H__
#define __CAN_INTERFACE_H__


#ifdef __cplusplus
 extern "C" {
#endif


#include "cs32f10x.h"
#include <stdbool.h>
#include "systick_interface.h"


#define CAN_FRAME_LENTH_MAX             8


void USB_LP_CAN1_RX0_IRQHandler(void);


/**@brief       Gets the data received by CAN.
 * 
 * @param[in]   None.
 * 
 * @return      The status of receive process.
 */
uint8_t can_data_receive(void);


/**@brief       Sends the data by CAN.
 * 
 * @param[in]   None.
 * 
 * @return      None.
 */
void can_data_send(void);





#ifdef __cplusplus
}
#endif


#endif
