

#ifndef __FLASH_INTERFACE_H__
#define __FLASH_INTERFACE_H__


#ifdef __cplusplus
 extern "C" {
#endif


#include "cs32f10x.h"
#include "cmd_process.h"


/* FLASH Keys */
#define KEY1                    (uint32_t)0x45670123
#define KEY2                    (uint32_t)0xCDEF89AB

/* Delay definition */
#define ERASE_TIMEOUT           ((uint32_t)0x000B0000)
#define PROGRAME_TIMEOUT        ((uint32_t)0x00002000)


void flash_unlock(void);
void flash_lock(void);
uint8_t flash_operation_wait(uint32_t timeout);
uint8_t flash_read(uint32_t addr, uint8_t length, uint8_t *pdata);
uint8_t flash_write(uint32_t addr, uint8_t length, uint16_t *pdata);
uint8_t flash_page_erase(uint32_t addr);
uint8_t flash_chip_erase(void);


#ifdef __cplusplus
}
#endif


#endif
