

#ifndef __COMMON_H__
#define __COMMON_H__


#ifdef __cplusplus
 extern "C" {
#endif


#include "cs32f10x.h"


/* Common communication receive state */
#define COMM_PACKET_ACK                    (uint8_t)0x00       /*!< Packet received right. */
#define COMM_PACKET_ERROR_HEAD             (uint8_t)0x11       /*!< Packet received with head error. */
#define COMM_PACKET_ERROR_CHECK            (uint8_t)0x12       /*!< Packet received with check error. */
#define COMM_PACKET_ERROR_LENGTH_ZERO      (uint8_t)0x13       /*!< Packet received with zero length error. */
#define COMM_PACKET_ERROR_LENGTH_MAX       (uint8_t)0x14       /*!< Packet received with length over error. */
#define COMM_PACKET_NONE                   (uint8_t)0xFF       /*!< None packet received. */

/* Common communication protocol parameter */
#define COMM_FRAME_HEAD                    (uint8_t)0x55       /*!< frame head. */
#define COMM_DATA_LENGTH_MAX               (uint8_t)133        /*!< Maximum of data length. */

/* Common communication communication parameter */
#define COMM_BUFFER_SIZE                   (uint8_t)150        /*!< communication buffer size. */
#define COMM_TIMEOUT                       (uint8_t)200         /*!< communication timeout. */


extern volatile uint8_t comm_rx_index;
extern uint8_t comm_data_flag;
extern volatile uint8_t comm_rx_buffer[COMM_BUFFER_SIZE];
extern volatile uint8_t comm_tx_buffer[COMM_BUFFER_SIZE];
extern uint8_t comm_status;
extern uint32_t comm_start_time;
extern volatile uint8_t comm_tx_len;
extern volatile uint8_t comm_tx_index;
extern volatile uint16_t comm_frame_check;


#ifdef __cplusplus
}
#endif


#endif
