

#include "hal_comm_usart.h"


static void sysclk_init(void);
static void sysclk_deinit(void);


void hal_comm_usart_deinit(void)
{
    NVIC_DisableIRQ(IRQn_USART1);               //رUSART1ںж
    NVIC_ClearPendingIRQ(IRQn_USART1);          //USART1ںжϹλ
    
    RCU->APB2RST = (uint32_t)0x00005E7D;       //λUSART1IOPAAFIO
    RCU->APB2RST = 0;
    RCU->APB2EN &= ~(uint32_t)0x00004005;      //رUSART1IOPAAFIOʱ
    
    GPIOA->CFGH = (uint32_t)0x44444444;
    GPIOA->DO = (uint32_t)0x0;
    
    SysTick->CTRL = 0;                      //رSysTickʹܡжʹ
    SysTick->VAL = 0;                       //ֵ
    
    sysclk_deinit();
}


void hal_comm_usart_init(void)
{
    FWDT->CCODE = 0x00005555;
    FWDT->PDIV = 0x00000007;
    FWDT->CCODE = 0x0000AAAA;
    
    hal_comm_usart_deinit();
    sysclk_init();

    RCU->APB2EN = (uint32_t)0x00004005;        //ʹUSART1IOPAAFIOʱ
    GPIOA->CFGH = (uint32_t)0x44444494;          //PA9ĬΪUSART1 TXPA10룬ĬΪUSART1 RX
    USART1->BRT = (uint32_t)0x000000D0;         //ʱԴΪ24MHzΪ115200
    USART1->CTR1 = (uint32_t)0x0000342C;         //ʹUSART18λʹżУ飬ʹܽжϣʹշ
    NVIC_EnableIRQ(IRQn_USART1);                //ʹUSART1ںж
    
    SysTick->LOAD = 24000 - 1;                  //1msʱ
    SysTick->VAL = 0;
    SysTick->CTRL = SysTick_CTRL_CLKSOURCE_Msk | SysTick_CTRL_TICKINT_Msk | SysTick_CTRL_ENABLE_Msk;
}


static void sysclk_init(void)
{
    FLASH->WCR |= FMC_WCR_WE;                             //ʹFlash prefetch
    FLASH->WCR &= (uint32_t)((uint32_t)~FMC_WCR_WCNT);     //ȴʱΪ0
    
    RCU->CFG = (uint32_t)0x00100000;                           //PLLʱΪ6*HSI/2 = 24MHzPCLK1=PCLK2=HCLK=SYSCLK
    RCU->CTR |= RCU_CTR_PLLEN;                                    //ʹPLL
    while((RCU->CTR & RCU_CTR_PLLSTAB) == 0){}                     //ȴPLL
    RCU->CFG |= (uint32_t)0x00000002;                               //SYSCLKʱԴлPLL
    while ((RCU->CFG & RCU_CFG_SYSSS) != (uint32_t)0x08){}      //ȴSYSCLKʱԴлɹ
}


static void sysclk_deinit(void)
{
    RCU->CTR |= (uint32_t)0x00000001;        //HSI
    RCU->CFG &= (uint32_t)0xF8FF0000;      //λMCOADCPREPPRE1PPRE2HPRESWϵͳʱлHSI
    RCU->CTR &= (uint32_t)0xFEF6FFFF;        //رPLLHSEʱ
//    RCU->CTR &= (uint32_t)0xFFFBFFFF;        //λHSEBYP
    RCU->CFG &= (uint32_t)0xFF80FFFF;      //λCFGRĴʣbit
    RCU->INTR = (uint32_t)0x009F0000;        //жϱ־λ
}


