

#ifndef __CONFIG_H__
#define __CONFIG_H__


#ifdef __cplusplus
 extern "C" {
#endif


/* Main app memory offset. This value must be a multiple of 4096. */
#define FLASH_APP_OFFSET                (uint32_t)0xA000
/* Main app memory start address */
#define FLASH_APP_ADDR                  (FLASH_BASE + FLASH_APP_OFFSET)


/* CSBOOT time-out check(ms) */
#define CSBOOT_TIMEOUT_CHECK            (uint32_t)1000


/* CSBOOT communication interface definitions. Only one interface can be set to 1 */
#define CSBOOT_COMMUNICATION_INTERFACE_USART    0
#define CSBOOT_COMMUNICATION_INTERFACE_CAN      1




/* CAN rx frame ID(default standard ID) */
#define CAN_RX_FRAME_ID                         0x110
/* CAN send frame ID(default standard ID) */
#define CAN_TX_FRAME_ID                         0x111


#if (CSBOOT_COMMUNICATION_INTERFACE_USART + CSBOOT_COMMUNICATION_INTERFACE_CAN) > 1
#error "CSBOOT_COMMUNICATION_INTERFACE_USART or CSBOOT_COMMUNICATION_INTERFACE_CAN definition error!"
#endif


#ifdef __cplusplus
}
#endif


#endif
