/**
  ******************************************************************************
  * @file    Project/CS32F10x_StdPeriph_Template/cs32f10x_conf.h 
  * @author  ChipSea MCU Group
  * @version V1.0.0
  * @date    2021.06.01
  * @brief   Library configuration file.
  ******************************************************************************
  * @attention
  * <h2><center>&copy; COPYRIGHT 2021 ChipSea</center></h2>
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __CS32F10x_CONF_H
#define __CS32F10x_CONF_H

/* Run Time Environment will set specific #define for each selected module below */
#include "RTE_Components.h"

#ifdef RTE_DEVICE_STDPERIPH_ADC
#include "cs32f10x_adc.h"
#endif
#ifdef RTE_DEVICE_STDPERIPH_BKP
#include "cs32f10x_bkp.h"
#endif
#ifdef RTE_DEVICE_STDPERIPH_CAN
#include "cs32f10x_can.h"
#endif
#ifdef RTE_DEVICE_STDPERIPH_CEC
#include "cs32f10x_cec.h"
#endif
#ifdef RTE_DEVICE_STDPERIPH_CRC
#include "cs32f10x_crc.h"
#endif
#ifdef RTE_DEVICE_STDPERIPH_DAC
#include "cs32f10x_dac.h"
#endif
#ifdef RTE_DEVICE_STDPERIPH_DBGMCU
#include "cs32f10x_dbgmcu.h"
#endif
#ifdef RTE_DEVICE_STDPERIPH_DMA
#include "cs32f10x_dma.h"
#endif
#ifdef RTE_DEVICE_STDPERIPH_EXTI
#include "cs32f10x_exti.h"
#endif
#ifdef RTE_DEVICE_STDPERIPH_FLASH
#include "cs32f10x_flash.h"
#endif
#ifdef RTE_DEVICE_STDPERIPH_FSMC
#include "cs32f10x_fsmc.h"
#endif
#ifdef RTE_DEVICE_STDPERIPH_GPIO
#include "cs32f10x_gpio.h"
#endif
#ifdef RTE_DEVICE_STDPERIPH_I2C
#include "cs32f10x_i2c.h"
#endif
#ifdef RTE_DEVICE_STDPERIPH_IWDG
#include "cs32f10x_iwdg.h"
#endif
#ifdef RTE_DEVICE_STDPERIPH_PWR
#include "cs32f10x_pwr.h"
#endif
#ifdef RTE_DEVICE_STDPERIPH_RCC
#include "cs32f10x_rcc.h"
#endif
#ifdef RTE_DEVICE_STDPERIPH_RTC
#include "cs32f10x_rtc.h"
#endif
#ifdef RTE_DEVICE_STDPERIPH_SDIO
#include "cs32f10x_sdio.h"
#endif
#ifdef RTE_DEVICE_STDPERIPH_SPI
#include "cs32f10x_spi.h"
#endif
#ifdef RTE_DEVICE_STDPERIPH_TIM
#include "cs32f10x_tim.h"
#endif
#ifdef RTE_DEVICE_STDPERIPH_USART
#include "cs32f10x_usart.h"
#endif
#ifdef RTE_DEVICE_STDPERIPH_WWDG
#include "cs32f10x_wwdg.h"
#endif
#ifdef RTE_DEVICE_STDPERIPH_FRAMEWORK
#include "misc.h" /* High level functions for NVIC and SysTick (add-on to CMSIS functions) */
#endif





#ifdef  USE_FULL_ASSERT

/**@brief       The ASSERT macro is used for function's parameters check.
 *
 * @param[in]   expr: expr: If expr is false, it calls assert_failed function which reports
 *              the name of the source file and the source line number of the call
 *              that failed. If expr is true, it returns no value.
 *
 * @return      None
 */
/* Exported functions ------------------------------------------------------- */
void assert_failed(uint8_t* file, uint32_t line);
#define ASSERT(expr) ((expr) ? (void)0 : assert_failed((uint8_t *)__FILE__, __LINE__))

  
#else

  #define ASSERT(expr) ((void)0)
  
#endif 

#endif /* __CS32F10x_CONF_H */

/******************* (C) COPYRIGHT 2021 ChipSea *****END OF FILE****/
