/**
  ******************************************************************************
  * @file    system_cs32f10x.h
  * @author  ChipSea MCU Group
  * @version V1.0.0
  * @date    2021.06.01
  * @brief   CMSIS Cortex-M3 Device Peripheral Access Layer System Header File.
  ******************************************************************************
  * @attention
  * <h2><center>&copy; COPYRIGHT 2021 ChipSea</center></h2>
  ******************************************************************************
  */

/** @addtogroup CMSIS
  * @{
  */

/** @addtogroup cs32f10x_system
  * @{
  */  
  
/**
  * @brief Define to prevent recursive inclusion
  */
#ifndef __SYSTEM_CS32F10X_H
#define __SYSTEM_CS32F10X_H

#ifdef __cplusplus
 extern "C" {
#endif 

/** @addtogroup CS32F10x_System_Includes
  * @{
  */

/**
  * @}
  */


/** @addtogroup CS32F10x_System_Exported_types
  * @{
  */

extern uint32_t SystemCoreClock;          /*!< System Clock Frequency (Core Clock) */

/**
  * @}
  */

/** @addtogroup CS32F10x_System_Exported_Constants
  * @{
  */

/**
  * @}
  */

/** @addtogroup CS32F10x_System_Exported_Macros
  * @{
  */

/**
  * @}
  */

/** @addtogroup CS32F10x_System_Exported_Functions
  * @{
  */
  
extern void SystemInit(void);
extern void SystemCoreClockUpdate(void);
/**
  * @}
  */

#ifdef __cplusplus
}
#endif

#endif /*__SYSTEM_CS32F10X_H */

/**
  * @}
  */
  
/**
  * @}
  */  
/******************* (C) COPYRIGHT 2021 ChipSea *****END OF FILE****/
